<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: cfd_cn_nscbc_m.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_84f42f204b822dde8cb4d8a231b19254.html">cfd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">cfd_cn_nscbc_m.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacecfd__cn__nscbc__m"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__cn__nscbc__m.html">cfd_cn_nscbc_m</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a1255390cf29e94bfe8396290f70cd67e"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__cn__nscbc__m.html#a1255390cf29e94bfe8396290f70cd67e">cfd_cn_nscbc_m::cfd_cn_nscbc_init</a> (cfd)</td></tr>
<tr class="separator:a1255390cf29e94bfe8396290f70cd67e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c8c89932f4bd6ecc246fffb0c1607dc"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__cn__nscbc__m.html#a4c8c89932f4bd6ecc246fffb0c1607dc">cfd_cn_nscbc_m::cfd_cn_nscbc</a> (cfd)</td></tr>
<tr class="separator:a4c8c89932f4bd6ecc246fffb0c1607dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa70e9e05ee2dda56865dfe17af3cda72"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__cn__nscbc__m.html#aa70e9e05ee2dda56865dfe17af3cda72">cfd_cn_nscbc_m::cn_nscbc_inlet_outlet</a> (cfd)</td></tr>
<tr class="separator:aa70e9e05ee2dda56865dfe17af3cda72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad163a5b5fece764d039951594e69f5ea"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cfd__cn__nscbc__m_8f90.html#ad163a5b5fece764d039951594e69f5ea">inlet_nscbc</a> ()</td></tr>
<tr class="separator:ad163a5b5fece764d039951594e69f5ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3281905f27aa52f99a31824ba17995d2"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cfd__cn__nscbc__m_8f90.html#a3281905f27aa52f99a31824ba17995d2">inlet_ued_nscbc</a> ()</td></tr>
<tr class="separator:a3281905f27aa52f99a31824ba17995d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a741e77f0984d2d617788701755dea0"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cfd__cn__nscbc__m_8f90.html#a8a741e77f0984d2d617788701755dea0">outlet_nscbc</a> ()</td></tr>
<tr class="separator:a8a741e77f0984d2d617788701755dea0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7398b755d515885758be6de42388f889"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cfd__cn__nscbc__m_8f90.html#a7398b755d515885758be6de42388f889">outlet_ued_nscbc</a> ()</td></tr>
<tr class="separator:a7398b755d515885758be6de42388f889"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7077c1e855f673775879a3120de17537"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cfd__cn__nscbc__m_8f90.html#a7077c1e855f673775879a3120de17537">outlet_ued_cbc</a> ()</td></tr>
<tr class="separator:a7077c1e855f673775879a3120de17537"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae92bff1d682ff6d8c4f31ed88e359e1a"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cfd__cn__nscbc__m_8f90.html#ae92bff1d682ff6d8c4f31ed88e359e1a">outlet_scalar_cbc</a> ()</td></tr>
<tr class="separator:ae92bff1d682ff6d8c4f31ed88e359e1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="ad163a5b5fece764d039951594e69f5ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad163a5b5fece764d039951594e69f5ea">&#9670;&nbsp;</a></span>inlet_nscbc()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine cn_nscbc_inlet_outlet::inlet_nscbc </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacenscbc__shared__m.html#ace94b741ae09fcbf9883c5dc710bbdac">nscbc_shared_m::dpdx_cv</a>, <a class="el" href="namespacenscbc__shared__m.html#a1cf837f3b8c3e00d8be5d1bafdb529aa">nscbc_shared_m::drhodx_cv</a>, <a class="el" href="namespacenscbc__shared__m.html#a71a165e0fa5c5851eb56ecc29d4aadd6">nscbc_shared_m::dudx_cv</a>, <a class="el" href="cfd__cn__nscbc__m_8f90.html#a3281905f27aa52f99a31824ba17995d2">inlet_ued_nscbc()</a>, <a class="el" href="namespacenscbc__shared__m.html#a921519747b35733f64e288d4dde8dc3f">nscbc_shared_m::nscbc_limit_diff()</a>, <a class="el" href="namespacenscbc__shared__m.html#af13065118be32300af9a5f83e2a35d3b">nscbc_shared_m::nscbc_update_options_inlet()</a>, <a class="el" href="namespacenscbc__shared__m.html#a8aeddde2ef60385093d6075b31940c57">nscbc_shared_m::u_cv</a>, and <a class="el" href="namespacenscbc__shared__m.html#a4bbfb6c5b85d2bb5d7ad0ed65ca4347e">nscbc_shared_m::uold_fa</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="cfd__cn__nscbc__m_8f90_ad163a5b5fece764d039951594e69f5ea_cgraph.png" border="0" usemap="#cfd__cn__nscbc__m_8f90_ad163a5b5fece764d039951594e69f5ea_cgraph" alt=""/></div>
<map name="cfd__cn__nscbc__m_8f90_ad163a5b5fece764d039951594e69f5ea_cgraph" id="cfd__cn__nscbc__m_8f90_ad163a5b5fece764d039951594e69f5ea_cgraph">
<area shape="rect" id="node2" href="cfd__cn__nscbc__m_8f90.html#a3281905f27aa52f99a31824ba17995d2" title="inlet_ued_nscbc" alt="" coords="165,13,281,39"/>
<area shape="rect" id="node4" href="namespacenscbc__shared__m.html#a921519747b35733f64e288d4dde8dc3f" title="nscbc_shared_m::nscbc\l_limit_diff" alt="" coords="141,64,305,105"/>
<area shape="rect" id="node5" href="namespacenscbc__shared__m.html#af13065118be32300af9a5f83e2a35d3b" title="nscbc_shared_m::nscbc\l_update_options_inlet" alt="" coords="141,129,305,171"/>
<area shape="rect" id="node3" href="namespacenscbc__shared__m.html#a95d11f846cd8ff7c553dca7a9e8ef63d" title="nscbc_shared_m::compute\l_p_gradient_fa" alt="" coords="353,5,532,47"/>
</map>
</div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="cfd__cn__nscbc__m_8f90_ad163a5b5fece764d039951594e69f5ea_icgraph.png" border="0" usemap="#cfd__cn__nscbc__m_8f90_ad163a5b5fece764d039951594e69f5ea_icgraph" alt=""/></div>
<map name="cfd__cn__nscbc__m_8f90_ad163a5b5fece764d039951594e69f5ea_icgraph" id="cfd__cn__nscbc__m_8f90_ad163a5b5fece764d039951594e69f5ea_icgraph">
<area shape="rect" id="node2" href="namespacecfd__cn__nscbc__m.html#aa70e9e05ee2dda56865dfe17af3cda72" title="cfd_cn_nscbc_m::cn\l_nscbc_inlet_outlet" alt="" coords="157,169,300,211"/>
<area shape="rect" id="node11" href="namespacecfd__rk__nscbc__alt__m.html#a42af4e7d99b5453b6c8274a7e8f323d9" title="cfd_rk_nscbc_alt_m\l::rk_nscbc_inlet_outlet_alt" alt="" coords="141,267,316,308"/>
<area shape="rect" id="node14" href="namespacecfd__rk__nscbc__m.html#ab9653496b0ac59fb20716c243d588872" title="cfd_rk_nscbc_m::rk\l_nscbc_inlet_outlet" alt="" coords="160,332,297,373"/>
<area shape="rect" id="node3" href="namespacecfd__cn__nscbc__m.html#a4c8c89932f4bd6ecc246fffb0c1607dc" title="cfd_cn_nscbc_m::cfd\l_cn_nscbc" alt="" coords="364,169,511,211"/>
<area shape="rect" id="node4" href="namespacearts__wc__simulation.html#a489a2e5f789034c0984e626dcc35fd1b" title="arts_wc_simulation\l::arts_wc_advance_iter" alt="" coords="567,5,724,47"/>
<area shape="rect" id="node6" href="namespacecfd__bd2__solver.html#acf58c0e130570fbb0b26f5f540bf0a6c" title="cfd_bd2_solver::cfd\l_bd2_update_mid_bc_orig" alt="" coords="559,71,732,112"/>
<area shape="rect" id="node7" href="namespacecfd__bd2__solver.html#aacbe19dacd4718cb90af575e3c1a6be4" title="cfd_bd2_solver::cfd\l_bd2_update_mid_bc_v01" alt="" coords="559,136,732,177"/>
<area shape="rect" id="node8" href="namespacecfd__bd2__solver.html#af2ef9502ce05f7bc9b54a16503aa206a" title="cfd_bd2_solver::cfd\l_bd2_update_mid_bc" alt="" coords="573,201,718,243"/>
<area shape="rect" id="node10" href="namespacecfd__cn__solver.html#a4d4fe55cd086d8c9cbe75d454c60ab75" title="cfd_cn_solver::cfd\l_cn_scalar_step" alt="" coords="581,267,710,308"/>
<area shape="rect" id="node5" href="arts__cf_2arts__wc_8f90.html#afc8fbe711a3d2872c20abc0b8848acb5" title="simulation_run" alt="" coords="809,13,915,39"/>
<area shape="rect" id="node9" href="namespacecfd__hybrid__bd2__solver.html#aadb9bfa839af0c0980bb585b2588680c" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_update\l_mid_bc" alt="" coords="780,194,944,250"/>
<area shape="rect" id="node12" href="namespacecfd__rk__nscbc__m.html#a8df1faf026a86c9093623d9b85a68a98" title="cfd_rk_nscbc_m::cfd\l_rk_nscbc" alt="" coords="365,332,509,373"/>
<area shape="rect" id="node13" href="namespacecfd__rk__solver.html#aaebeb657c19d0b1471aa7394add003f2" title="cfd_rk_solver::cfd\l_rk_update_mid_bc" alt="" coords="578,332,713,373"/>
</map>
</div>

</div>
</div>
<a id="a3281905f27aa52f99a31824ba17995d2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3281905f27aa52f99a31824ba17995d2">&#9670;&nbsp;</a></span>inlet_ued_nscbc()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine cn_nscbc_inlet_outlet::inlet_ued_nscbc </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacenscbc__shared__m.html#a95d11f846cd8ff7c553dca7a9e8ef63d">nscbc_shared_m::compute_p_gradient_fa()</a>, <a class="el" href="namespacenscbc__shared__m.html#ad04672ea9a0b748ac003737f759a4f7d">nscbc_shared_m::dpdx_fa</a>, <a class="el" href="namespacenscbc__shared__m.html#a71a165e0fa5c5851eb56ecc29d4aadd6">nscbc_shared_m::dudx_cv</a>, <a class="el" href="namespacenscbc__shared__m.html#affe518ddc551d72f38e52c1062b02834">nscbc_shared_m::dxmi_v</a>, <a class="el" href="namespacenscbc__shared__m.html#a206727efabaf8eecbae130a86a1f34f4">nscbc_shared_m::nscbc_cv_global</a>, <a class="el" href="namespacenscbc__shared__m.html#a8aeddde2ef60385093d6075b31940c57">nscbc_shared_m::u_cv</a>, and <a class="el" href="namespacenscbc__shared__m.html#a35a39787a8df676f3274a706db11297c">nscbc_shared_m::u_fa</a>.</p>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="cfd__cn__nscbc__m_8f90_a3281905f27aa52f99a31824ba17995d2_cgraph.png" border="0" usemap="#cfd__cn__nscbc__m_8f90_a3281905f27aa52f99a31824ba17995d2_cgraph" alt=""/></div>
<map name="cfd__cn__nscbc__m_8f90_a3281905f27aa52f99a31824ba17995d2_cgraph" id="cfd__cn__nscbc__m_8f90_a3281905f27aa52f99a31824ba17995d2_cgraph">
<area shape="rect" id="node2" href="namespacenscbc__shared__m.html#a95d11f846cd8ff7c553dca7a9e8ef63d" title="nscbc_shared_m::compute\l_p_gradient_fa" alt="" coords="169,5,348,47"/>
</map>
</div>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="cfd__cn__nscbc__m_8f90_a3281905f27aa52f99a31824ba17995d2_icgraph.png" border="0" usemap="#cfd__cn__nscbc__m_8f90_a3281905f27aa52f99a31824ba17995d2_icgraph" alt=""/></div>
<map name="cfd__cn__nscbc__m_8f90_a3281905f27aa52f99a31824ba17995d2_icgraph" id="cfd__cn__nscbc__m_8f90_a3281905f27aa52f99a31824ba17995d2_icgraph">
<area shape="rect" id="node2" href="cfd__cn__nscbc__m_8f90.html#ad163a5b5fece764d039951594e69f5ea" title="inlet_nscbc" alt="" coords="169,274,257,301"/>
<area shape="rect" id="node3" href="namespacecfd__cn__nscbc__m.html#aa70e9e05ee2dda56865dfe17af3cda72" title="cfd_cn_nscbc_m::cn\l_nscbc_inlet_outlet" alt="" coords="321,169,464,211"/>
<area shape="rect" id="node12" href="namespacecfd__rk__nscbc__alt__m.html#a42af4e7d99b5453b6c8274a7e8f323d9" title="cfd_rk_nscbc_alt_m\l::rk_nscbc_inlet_outlet_alt" alt="" coords="305,267,480,308"/>
<area shape="rect" id="node15" href="namespacecfd__rk__nscbc__m.html#ab9653496b0ac59fb20716c243d588872" title="cfd_rk_nscbc_m::rk\l_nscbc_inlet_outlet" alt="" coords="324,332,461,373"/>
<area shape="rect" id="node4" href="namespacecfd__cn__nscbc__m.html#a4c8c89932f4bd6ecc246fffb0c1607dc" title="cfd_cn_nscbc_m::cfd\l_cn_nscbc" alt="" coords="528,169,675,211"/>
<area shape="rect" id="node5" href="namespacearts__wc__simulation.html#a489a2e5f789034c0984e626dcc35fd1b" title="arts_wc_simulation\l::arts_wc_advance_iter" alt="" coords="731,5,888,47"/>
<area shape="rect" id="node7" href="namespacecfd__bd2__solver.html#acf58c0e130570fbb0b26f5f540bf0a6c" title="cfd_bd2_solver::cfd\l_bd2_update_mid_bc_orig" alt="" coords="723,71,896,112"/>
<area shape="rect" id="node8" href="namespacecfd__bd2__solver.html#aacbe19dacd4718cb90af575e3c1a6be4" title="cfd_bd2_solver::cfd\l_bd2_update_mid_bc_v01" alt="" coords="723,136,896,177"/>
<area shape="rect" id="node9" href="namespacecfd__bd2__solver.html#af2ef9502ce05f7bc9b54a16503aa206a" title="cfd_bd2_solver::cfd\l_bd2_update_mid_bc" alt="" coords="737,201,882,243"/>
<area shape="rect" id="node11" href="namespacecfd__cn__solver.html#a4d4fe55cd086d8c9cbe75d454c60ab75" title="cfd_cn_solver::cfd\l_cn_scalar_step" alt="" coords="745,267,874,308"/>
<area shape="rect" id="node6" href="arts__cf_2arts__wc_8f90.html#afc8fbe711a3d2872c20abc0b8848acb5" title="simulation_run" alt="" coords="973,13,1079,39"/>
<area shape="rect" id="node10" href="namespacecfd__hybrid__bd2__solver.html#aadb9bfa839af0c0980bb585b2588680c" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_update\l_mid_bc" alt="" coords="944,194,1108,250"/>
<area shape="rect" id="node13" href="namespacecfd__rk__nscbc__m.html#a8df1faf026a86c9093623d9b85a68a98" title="cfd_rk_nscbc_m::cfd\l_rk_nscbc" alt="" coords="529,332,673,373"/>
<area shape="rect" id="node14" href="namespacecfd__rk__solver.html#aaebeb657c19d0b1471aa7394add003f2" title="cfd_rk_solver::cfd\l_rk_update_mid_bc" alt="" coords="742,332,877,373"/>
</map>
</div>

</div>
</div>
<a id="a8a741e77f0984d2d617788701755dea0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a741e77f0984d2d617788701755dea0">&#9670;&nbsp;</a></span>outlet_nscbc()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine cn_nscbc_inlet_outlet::outlet_nscbc </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacenscbc__shared__m.html#ada8e43c347b01748f26f9d679f889081">nscbc_shared_m::boundary_interp_pinf()</a>, <a class="el" href="namespacenscbc__shared__m.html#ace94b741ae09fcbf9883c5dc710bbdac">nscbc_shared_m::dpdx_cv</a>, <a class="el" href="namespacenscbc__shared__m.html#a1cf837f3b8c3e00d8be5d1bafdb529aa">nscbc_shared_m::drhodx_cv</a>, <a class="el" href="namespacenscbc__shared__m.html#a71a165e0fa5c5851eb56ecc29d4aadd6">nscbc_shared_m::dudx_cv</a>, <a class="el" href="namespacenscbc__shared__m.html#a921519747b35733f64e288d4dde8dc3f">nscbc_shared_m::nscbc_limit_diff()</a>, <a class="el" href="namespacenscbc__shared__m.html#a36a5608ef687bd572399c7d1c6f671c4">nscbc_shared_m::nscbc_update_options_outlet()</a>, <a class="el" href="cfd__cn__nscbc__m_8f90.html#a7077c1e855f673775879a3120de17537">outlet_ued_cbc()</a>, <a class="el" href="cfd__cn__nscbc__m_8f90.html#a7398b755d515885758be6de42388f889">outlet_ued_nscbc()</a>, <a class="el" href="namespacenscbc__shared__m.html#a8aeddde2ef60385093d6075b31940c57">nscbc_shared_m::u_cv</a>, and <a class="el" href="namespacenscbc__shared__m.html#a4bbfb6c5b85d2bb5d7ad0ed65ca4347e">nscbc_shared_m::uold_fa</a>.</p>
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="cfd__cn__nscbc__m_8f90_a8a741e77f0984d2d617788701755dea0_cgraph.png" border="0" usemap="#cfd__cn__nscbc__m_8f90_a8a741e77f0984d2d617788701755dea0_cgraph" alt=""/></div>
<map name="cfd__cn__nscbc__m_8f90_a8a741e77f0984d2d617788701755dea0_cgraph" id="cfd__cn__nscbc__m_8f90_a8a741e77f0984d2d617788701755dea0_cgraph">
<area shape="rect" id="node2" href="namespacenscbc__shared__m.html#ada8e43c347b01748f26f9d679f889081" title="nscbc_shared_m::boundary\l_interp_pinf" alt="" coords="149,5,332,47"/>
<area shape="rect" id="node5" href="namespacenscbc__shared__m.html#a921519747b35733f64e288d4dde8dc3f" title="nscbc_shared_m::nscbc\l_limit_diff" alt="" coords="159,71,323,112"/>
<area shape="rect" id="node6" href="namespacenscbc__shared__m.html#a36a5608ef687bd572399c7d1c6f671c4" title="nscbc_shared_m::nscbc\l_update_options_outlet" alt="" coords="159,136,323,177"/>
<area shape="rect" id="node7" href="cfd__cn__nscbc__m_8f90.html#a7077c1e855f673775879a3120de17537" title="outlet_ued_cbc" alt="" coords="185,202,296,229"/>
<area shape="rect" id="node9" href="cfd__cn__nscbc__m_8f90.html#a7398b755d515885758be6de42388f889" title="outlet_ued_nscbc" alt="" coords="179,257,303,283"/>
<area shape="rect" id="node3" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="421,13,517,39"/>
<area shape="rect" id="node4" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="607,5,737,47"/>
<area shape="rect" id="node8" href="namespacenscbc__shared__m.html#a6f4b7443bcccd1fba26726e230c2ba21" title="nscbc_shared_m::update\l_convective_u_cbc" alt="" coords="385,191,553,232"/>
<area shape="rect" id="node10" href="namespacenscbc__shared__m.html#a95d11f846cd8ff7c553dca7a9e8ef63d" title="nscbc_shared_m::compute\l_p_gradient_fa" alt="" coords="380,256,559,297"/>
</map>
</div>
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="cfd__cn__nscbc__m_8f90_a8a741e77f0984d2d617788701755dea0_icgraph.png" border="0" usemap="#cfd__cn__nscbc__m_8f90_a8a741e77f0984d2d617788701755dea0_icgraph" alt=""/></div>
<map name="cfd__cn__nscbc__m_8f90_a8a741e77f0984d2d617788701755dea0_icgraph" id="cfd__cn__nscbc__m_8f90_a8a741e77f0984d2d617788701755dea0_icgraph">
<area shape="rect" id="node2" href="namespacecfd__cn__nscbc__m.html#aa70e9e05ee2dda56865dfe17af3cda72" title="cfd_cn_nscbc_m::cn\l_nscbc_inlet_outlet" alt="" coords="165,177,308,219"/>
<area shape="rect" id="node11" href="namespacecfd__rk__nscbc__alt__m.html#a42af4e7d99b5453b6c8274a7e8f323d9" title="cfd_rk_nscbc_alt_m\l::rk_nscbc_inlet_outlet_alt" alt="" coords="149,259,324,300"/>
<area shape="rect" id="node3" href="namespacecfd__cn__nscbc__m.html#a4c8c89932f4bd6ecc246fffb0c1607dc" title="cfd_cn_nscbc_m::cfd\l_cn_nscbc" alt="" coords="372,169,519,211"/>
<area shape="rect" id="node4" href="namespacearts__wc__simulation.html#a489a2e5f789034c0984e626dcc35fd1b" title="arts_wc_simulation\l::arts_wc_advance_iter" alt="" coords="575,5,732,47"/>
<area shape="rect" id="node6" href="namespacecfd__bd2__solver.html#acf58c0e130570fbb0b26f5f540bf0a6c" title="cfd_bd2_solver::cfd\l_bd2_update_mid_bc_orig" alt="" coords="567,71,740,112"/>
<area shape="rect" id="node7" href="namespacecfd__bd2__solver.html#aacbe19dacd4718cb90af575e3c1a6be4" title="cfd_bd2_solver::cfd\l_bd2_update_mid_bc_v01" alt="" coords="567,136,740,177"/>
<area shape="rect" id="node8" href="namespacecfd__bd2__solver.html#af2ef9502ce05f7bc9b54a16503aa206a" title="cfd_bd2_solver::cfd\l_bd2_update_mid_bc" alt="" coords="581,201,726,243"/>
<area shape="rect" id="node10" href="namespacecfd__cn__solver.html#a4d4fe55cd086d8c9cbe75d454c60ab75" title="cfd_cn_solver::cfd\l_cn_scalar_step" alt="" coords="589,267,718,308"/>
<area shape="rect" id="node5" href="arts__cf_2arts__wc_8f90.html#afc8fbe711a3d2872c20abc0b8848acb5" title="simulation_run" alt="" coords="817,13,923,39"/>
<area shape="rect" id="node9" href="namespacecfd__hybrid__bd2__solver.html#aadb9bfa839af0c0980bb585b2588680c" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_update\l_mid_bc" alt="" coords="788,194,952,250"/>
<area shape="rect" id="node12" href="namespacecfd__rk__nscbc__m.html#a8df1faf026a86c9093623d9b85a68a98" title="cfd_rk_nscbc_m::cfd\l_rk_nscbc" alt="" coords="373,291,517,332"/>
<area shape="rect" id="node13" href="namespacecfd__rk__solver.html#aaebeb657c19d0b1471aa7394add003f2" title="cfd_rk_solver::cfd\l_rk_update_mid_bc" alt="" coords="586,332,721,373"/>
</map>
</div>

</div>
</div>
<a id="ae92bff1d682ff6d8c4f31ed88e359e1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae92bff1d682ff6d8c4f31ed88e359e1a">&#9670;&nbsp;</a></span>outlet_scalar_cbc()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine cn_nscbc_inlet_outlet::outlet_scalar_cbc </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacenscbc__shared__m.html#affe518ddc551d72f38e52c1062b02834">nscbc_shared_m::dxmi_v</a>, and <a class="el" href="namespacenscbc__shared__m.html#a6f4b7443bcccd1fba26726e230c2ba21">nscbc_shared_m::update_convective_u_cbc()</a>.</p>
<div id="dynsection-6" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-6-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-6-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-6-content" class="dyncontent" style="display:none;">
<div class="center"><img src="cfd__cn__nscbc__m_8f90_ae92bff1d682ff6d8c4f31ed88e359e1a_cgraph.png" border="0" usemap="#cfd__cn__nscbc__m_8f90_ae92bff1d682ff6d8c4f31ed88e359e1a_cgraph" alt=""/></div>
<map name="cfd__cn__nscbc__m_8f90_ae92bff1d682ff6d8c4f31ed88e359e1a_cgraph" id="cfd__cn__nscbc__m_8f90_ae92bff1d682ff6d8c4f31ed88e359e1a_cgraph">
<area shape="rect" id="node2" href="namespacenscbc__shared__m.html#a6f4b7443bcccd1fba26726e230c2ba21" title="nscbc_shared_m::update\l_convective_u_cbc" alt="" coords="177,5,345,47"/>
</map>
</div>
<div id="dynsection-7" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-7-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-7-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-7-content" class="dyncontent" style="display:none;">
<div class="center"><img src="cfd__cn__nscbc__m_8f90_ae92bff1d682ff6d8c4f31ed88e359e1a_icgraph.png" border="0" usemap="#cfd__cn__nscbc__m_8f90_ae92bff1d682ff6d8c4f31ed88e359e1a_icgraph" alt=""/></div>
<map name="cfd__cn__nscbc__m_8f90_ae92bff1d682ff6d8c4f31ed88e359e1a_icgraph" id="cfd__cn__nscbc__m_8f90_ae92bff1d682ff6d8c4f31ed88e359e1a_icgraph">
<area shape="rect" id="node2" href="namespacecfd__cn__nscbc__m.html#aa70e9e05ee2dda56865dfe17af3cda72" title="cfd_cn_nscbc_m::cn\l_nscbc_inlet_outlet" alt="" coords="193,169,336,211"/>
<area shape="rect" id="node11" href="namespacecfd__rk__nscbc__alt__m.html#a42af4e7d99b5453b6c8274a7e8f323d9" title="cfd_rk_nscbc_alt_m\l::rk_nscbc_inlet_outlet_alt" alt="" coords="177,267,352,308"/>
<area shape="rect" id="node14" href="namespacecfd__rk__nscbc__m.html#ab9653496b0ac59fb20716c243d588872" title="cfd_rk_nscbc_m::rk\l_nscbc_inlet_outlet" alt="" coords="196,332,333,373"/>
<area shape="rect" id="node3" href="namespacecfd__cn__nscbc__m.html#a4c8c89932f4bd6ecc246fffb0c1607dc" title="cfd_cn_nscbc_m::cfd\l_cn_nscbc" alt="" coords="400,169,547,211"/>
<area shape="rect" id="node4" href="namespacearts__wc__simulation.html#a489a2e5f789034c0984e626dcc35fd1b" title="arts_wc_simulation\l::arts_wc_advance_iter" alt="" coords="603,5,760,47"/>
<area shape="rect" id="node6" href="namespacecfd__bd2__solver.html#acf58c0e130570fbb0b26f5f540bf0a6c" title="cfd_bd2_solver::cfd\l_bd2_update_mid_bc_orig" alt="" coords="595,71,768,112"/>
<area shape="rect" id="node7" href="namespacecfd__bd2__solver.html#aacbe19dacd4718cb90af575e3c1a6be4" title="cfd_bd2_solver::cfd\l_bd2_update_mid_bc_v01" alt="" coords="595,136,768,177"/>
<area shape="rect" id="node8" href="namespacecfd__bd2__solver.html#af2ef9502ce05f7bc9b54a16503aa206a" title="cfd_bd2_solver::cfd\l_bd2_update_mid_bc" alt="" coords="609,201,754,243"/>
<area shape="rect" id="node10" href="namespacecfd__cn__solver.html#a4d4fe55cd086d8c9cbe75d454c60ab75" title="cfd_cn_solver::cfd\l_cn_scalar_step" alt="" coords="617,267,746,308"/>
<area shape="rect" id="node5" href="arts__cf_2arts__wc_8f90.html#afc8fbe711a3d2872c20abc0b8848acb5" title="simulation_run" alt="" coords="845,13,951,39"/>
<area shape="rect" id="node9" href="namespacecfd__hybrid__bd2__solver.html#aadb9bfa839af0c0980bb585b2588680c" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_update\l_mid_bc" alt="" coords="816,194,980,250"/>
<area shape="rect" id="node12" href="namespacecfd__rk__nscbc__m.html#a8df1faf026a86c9093623d9b85a68a98" title="cfd_rk_nscbc_m::cfd\l_rk_nscbc" alt="" coords="401,332,545,373"/>
<area shape="rect" id="node13" href="namespacecfd__rk__solver.html#aaebeb657c19d0b1471aa7394add003f2" title="cfd_rk_solver::cfd\l_rk_update_mid_bc" alt="" coords="614,332,749,373"/>
</map>
</div>

</div>
</div>
<a id="a7077c1e855f673775879a3120de17537"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7077c1e855f673775879a3120de17537">&#9670;&nbsp;</a></span>outlet_ued_cbc()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine cn_nscbc_inlet_outlet::outlet_ued_cbc </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacenscbc__shared__m.html#affe518ddc551d72f38e52c1062b02834">nscbc_shared_m::dxmi_v</a>, <a class="el" href="namespacenscbc__shared__m.html#a35a39787a8df676f3274a706db11297c">nscbc_shared_m::u_fa</a>, and <a class="el" href="namespacenscbc__shared__m.html#a6f4b7443bcccd1fba26726e230c2ba21">nscbc_shared_m::update_convective_u_cbc()</a>.</p>
<div id="dynsection-8" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-8-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-8-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-8-content" class="dyncontent" style="display:none;">
<div class="center"><img src="cfd__cn__nscbc__m_8f90_a7077c1e855f673775879a3120de17537_cgraph.png" border="0" usemap="#cfd__cn__nscbc__m_8f90_a7077c1e855f673775879a3120de17537_cgraph" alt=""/></div>
<map name="cfd__cn__nscbc__m_8f90_a7077c1e855f673775879a3120de17537_cgraph" id="cfd__cn__nscbc__m_8f90_a7077c1e855f673775879a3120de17537_cgraph">
<area shape="rect" id="node2" href="namespacenscbc__shared__m.html#a6f4b7443bcccd1fba26726e230c2ba21" title="nscbc_shared_m::update\l_convective_u_cbc" alt="" coords="164,5,332,47"/>
</map>
</div>
<div id="dynsection-9" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-9-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-9-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-9-content" class="dyncontent" style="display:none;">
<div class="center"><img src="cfd__cn__nscbc__m_8f90_a7077c1e855f673775879a3120de17537_icgraph.png" border="0" usemap="#cfd__cn__nscbc__m_8f90_a7077c1e855f673775879a3120de17537_icgraph" alt=""/></div>
<map name="cfd__cn__nscbc__m_8f90_a7077c1e855f673775879a3120de17537_icgraph" id="cfd__cn__nscbc__m_8f90_a7077c1e855f673775879a3120de17537_icgraph">
<area shape="rect" id="node2" href="cfd__cn__nscbc__m_8f90.html#a8a741e77f0984d2d617788701755dea0" title="outlet_nscbc" alt="" coords="185,246,281,273"/>
<area shape="rect" id="node15" href="namespacecfd__rk__nscbc__m.html#ab9653496b0ac59fb20716c243d588872" title="cfd_rk_nscbc_m::rk\l_nscbc_inlet_outlet" alt="" coords="164,297,301,339"/>
<area shape="rect" id="node3" href="namespacecfd__cn__nscbc__m.html#aa70e9e05ee2dda56865dfe17af3cda72" title="cfd_cn_nscbc_m::cn\l_nscbc_inlet_outlet" alt="" coords="365,171,508,212"/>
<area shape="rect" id="node12" href="namespacecfd__rk__nscbc__alt__m.html#a42af4e7d99b5453b6c8274a7e8f323d9" title="cfd_rk_nscbc_alt_m\l::rk_nscbc_inlet_outlet_alt" alt="" coords="349,239,524,280"/>
<area shape="rect" id="node4" href="namespacecfd__cn__nscbc__m.html#a4c8c89932f4bd6ecc246fffb0c1607dc" title="cfd_cn_nscbc_m::cfd\l_cn_nscbc" alt="" coords="572,169,719,211"/>
<area shape="rect" id="node5" href="namespacearts__wc__simulation.html#a489a2e5f789034c0984e626dcc35fd1b" title="arts_wc_simulation\l::arts_wc_advance_iter" alt="" coords="775,5,932,47"/>
<area shape="rect" id="node7" href="namespacecfd__bd2__solver.html#acf58c0e130570fbb0b26f5f540bf0a6c" title="cfd_bd2_solver::cfd\l_bd2_update_mid_bc_orig" alt="" coords="767,71,940,112"/>
<area shape="rect" id="node8" href="namespacecfd__bd2__solver.html#aacbe19dacd4718cb90af575e3c1a6be4" title="cfd_bd2_solver::cfd\l_bd2_update_mid_bc_v01" alt="" coords="767,136,940,177"/>
<area shape="rect" id="node9" href="namespacecfd__bd2__solver.html#af2ef9502ce05f7bc9b54a16503aa206a" title="cfd_bd2_solver::cfd\l_bd2_update_mid_bc" alt="" coords="781,201,926,243"/>
<area shape="rect" id="node11" href="namespacecfd__cn__solver.html#a4d4fe55cd086d8c9cbe75d454c60ab75" title="cfd_cn_solver::cfd\l_cn_scalar_step" alt="" coords="789,267,918,308"/>
<area shape="rect" id="node6" href="arts__cf_2arts__wc_8f90.html#afc8fbe711a3d2872c20abc0b8848acb5" title="simulation_run" alt="" coords="1017,13,1123,39"/>
<area shape="rect" id="node10" href="namespacecfd__hybrid__bd2__solver.html#aadb9bfa839af0c0980bb585b2588680c" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_update\l_mid_bc" alt="" coords="988,194,1152,250"/>
<area shape="rect" id="node13" href="namespacecfd__rk__nscbc__m.html#a8df1faf026a86c9093623d9b85a68a98" title="cfd_rk_nscbc_m::cfd\l_rk_nscbc" alt="" coords="573,297,717,339"/>
<area shape="rect" id="node14" href="namespacecfd__rk__solver.html#aaebeb657c19d0b1471aa7394add003f2" title="cfd_rk_solver::cfd\l_rk_update_mid_bc" alt="" coords="786,332,921,373"/>
</map>
</div>

</div>
</div>
<a id="a7398b755d515885758be6de42388f889"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7398b755d515885758be6de42388f889">&#9670;&nbsp;</a></span>outlet_ued_nscbc()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine cn_nscbc_inlet_outlet::outlet_ued_nscbc </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacenscbc__shared__m.html#a95d11f846cd8ff7c553dca7a9e8ef63d">nscbc_shared_m::compute_p_gradient_fa()</a>, <a class="el" href="namespacenscbc__shared__m.html#ad04672ea9a0b748ac003737f759a4f7d">nscbc_shared_m::dpdx_fa</a>, <a class="el" href="namespacenscbc__shared__m.html#a71a165e0fa5c5851eb56ecc29d4aadd6">nscbc_shared_m::dudx_cv</a>, <a class="el" href="namespacenscbc__shared__m.html#affe518ddc551d72f38e52c1062b02834">nscbc_shared_m::dxmi_v</a>, <a class="el" href="namespacenscbc__shared__m.html#a206727efabaf8eecbae130a86a1f34f4">nscbc_shared_m::nscbc_cv_global</a>, <a class="el" href="namespacenscbc__shared__m.html#a8aeddde2ef60385093d6075b31940c57">nscbc_shared_m::u_cv</a>, and <a class="el" href="namespacenscbc__shared__m.html#a35a39787a8df676f3274a706db11297c">nscbc_shared_m::u_fa</a>.</p>
<div id="dynsection-10" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-10-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-10-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-10-content" class="dyncontent" style="display:none;">
<div class="center"><img src="cfd__cn__nscbc__m_8f90_a7398b755d515885758be6de42388f889_cgraph.png" border="0" usemap="#cfd__cn__nscbc__m_8f90_a7398b755d515885758be6de42388f889_cgraph" alt=""/></div>
<map name="cfd__cn__nscbc__m_8f90_a7398b755d515885758be6de42388f889_cgraph" id="cfd__cn__nscbc__m_8f90_a7398b755d515885758be6de42388f889_cgraph">
<area shape="rect" id="node2" href="namespacenscbc__shared__m.html#a95d11f846cd8ff7c553dca7a9e8ef63d" title="nscbc_shared_m::compute\l_p_gradient_fa" alt="" coords="177,5,356,47"/>
</map>
</div>
<div id="dynsection-11" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-11-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-11-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-11-content" class="dyncontent" style="display:none;">
<div class="center"><img src="cfd__cn__nscbc__m_8f90_a7398b755d515885758be6de42388f889_icgraph.png" border="0" usemap="#cfd__cn__nscbc__m_8f90_a7398b755d515885758be6de42388f889_icgraph" alt=""/></div>
<map name="cfd__cn__nscbc__m_8f90_a7398b755d515885758be6de42388f889_icgraph" id="cfd__cn__nscbc__m_8f90_a7398b755d515885758be6de42388f889_icgraph">
<area shape="rect" id="node2" href="cfd__cn__nscbc__m_8f90.html#a8a741e77f0984d2d617788701755dea0" title="outlet_nscbc" alt="" coords="198,246,294,273"/>
<area shape="rect" id="node15" href="namespacecfd__rk__nscbc__m.html#ab9653496b0ac59fb20716c243d588872" title="cfd_rk_nscbc_m::rk\l_nscbc_inlet_outlet" alt="" coords="177,297,315,339"/>
<area shape="rect" id="node3" href="namespacecfd__cn__nscbc__m.html#aa70e9e05ee2dda56865dfe17af3cda72" title="cfd_cn_nscbc_m::cn\l_nscbc_inlet_outlet" alt="" coords="379,171,521,212"/>
<area shape="rect" id="node12" href="namespacecfd__rk__nscbc__alt__m.html#a42af4e7d99b5453b6c8274a7e8f323d9" title="cfd_rk_nscbc_alt_m\l::rk_nscbc_inlet_outlet_alt" alt="" coords="363,239,537,280"/>
<area shape="rect" id="node4" href="namespacecfd__cn__nscbc__m.html#a4c8c89932f4bd6ecc246fffb0c1607dc" title="cfd_cn_nscbc_m::cfd\l_cn_nscbc" alt="" coords="585,169,732,211"/>
<area shape="rect" id="node5" href="namespacearts__wc__simulation.html#a489a2e5f789034c0984e626dcc35fd1b" title="arts_wc_simulation\l::arts_wc_advance_iter" alt="" coords="788,5,945,47"/>
<area shape="rect" id="node7" href="namespacecfd__bd2__solver.html#acf58c0e130570fbb0b26f5f540bf0a6c" title="cfd_bd2_solver::cfd\l_bd2_update_mid_bc_orig" alt="" coords="780,71,953,112"/>
<area shape="rect" id="node8" href="namespacecfd__bd2__solver.html#aacbe19dacd4718cb90af575e3c1a6be4" title="cfd_bd2_solver::cfd\l_bd2_update_mid_bc_v01" alt="" coords="780,136,953,177"/>
<area shape="rect" id="node9" href="namespacecfd__bd2__solver.html#af2ef9502ce05f7bc9b54a16503aa206a" title="cfd_bd2_solver::cfd\l_bd2_update_mid_bc" alt="" coords="794,201,939,243"/>
<area shape="rect" id="node11" href="namespacecfd__cn__solver.html#a4d4fe55cd086d8c9cbe75d454c60ab75" title="cfd_cn_solver::cfd\l_cn_scalar_step" alt="" coords="802,267,931,308"/>
<area shape="rect" id="node6" href="arts__cf_2arts__wc_8f90.html#afc8fbe711a3d2872c20abc0b8848acb5" title="simulation_run" alt="" coords="1030,13,1137,39"/>
<area shape="rect" id="node10" href="namespacecfd__hybrid__bd2__solver.html#aadb9bfa839af0c0980bb585b2588680c" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_update\l_mid_bc" alt="" coords="1001,194,1165,250"/>
<area shape="rect" id="node13" href="namespacecfd__rk__nscbc__m.html#a8df1faf026a86c9093623d9b85a68a98" title="cfd_rk_nscbc_m::cfd\l_rk_nscbc" alt="" coords="587,297,731,339"/>
<area shape="rect" id="node14" href="namespacecfd__rk__solver.html#aaebeb657c19d0b1471aa7394add003f2" title="cfd_rk_solver::cfd\l_rk_update_mid_bc" alt="" coords="799,332,934,373"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:48 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
